CMSIS-DSP: arm_fir_instance_q15 Struct Reference

| CMSIS-DSP Version 1.8.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_fir_instance_q15 Struct Reference

Instance structure for the Q15 FIR filter.

## Data Fields

uint16_t | numTaps
q15_t * | pState
const q15_t * | pCoeffs

## Field Documentation

uint16_t arm_fir_instance_q15::numTaps

number of filter coefficients in the filter.

const q15_t* arm_fir_instance_q15::pCoeffs

points to the coefficient array. The array is of length numTaps.

q15_t* arm_fir_instance_q15::pState

points to the state variable array. The array is of length numTaps+blockSize-1.